#include "comm.h"

#include <ArduinoOTA.h>
#include <WiFiSettings.h>


void setup_ota() {
    ArduinoOTA.setHostname(WIFI_SSID);
    ArduinoOTA.setPassword(WIFI_PASSWORD);
    ArduinoOTA.begin();
}

void setup_wifi() {
    WiFiSettings.hostname = WIFI_SSID;
    WiFiSettings.password = WIFI_PASSWORD;

    WiFiSettings.onPortal = []() {
        setup_ota();
    };
    WiFiSettings.onPortalWaitLoop = []() {
        ArduinoOTA.handle();
    };

    WiFiSettings.connect();
}

void setup_comm() {
    setup_wifi();
    setup_ota();
    WebMonitor.begin();
}

void comms_loop() {
    ArduinoOTA.handle();
}

